
 The general form of the initialize volume command is:

	INItvolume ddn:volume-label<options>

	where:	ddn is the device name and unit number of the volume
		to be initialized.

 If there are too many options to fit on one command line, the line may
 be continued by ending each line except the last with a hyphEN ("-").

 The volume on the specified device is initialized with the given label.
 Options may be specified to control the parameters that the volume is
 initialized with.  Note that only the DENS option is valid when
 initializing a magtape.

 DEFAULTS and OPTIONS are qualifiers for INITVOLUME.
2 DEFAULTS
 The following defaults apply to the INITVOLUME command:

	OPTION		DEFAULT
	------		-------
	/BAD		No bad block processing
	/CHA		No special characteristics
	/DENS		Device-dependent, for full list type
			HELP INITVOLUME DEFAULTS DENS
	/EXT		/EXT=5
	/FPRO		/FPRO=[RWED,RWED,RWED,R]
	/INDX		Device-dependent, for full list type
			HELP INITVOLUME DEFAULTS INDX
	/INF		Device-dependent, for full list type
			HELP INITVOLUME DEFAULTS INF
	/LRU		/LRU=3
	/MXF		Device-dependent, for full list type
			HELP INITVOLUME DEFAULTS MXF
	/PRO		/PRO=[RWED,RWED,RWED,RWED]
	/UIC		/UIC=[1,1]
	/WIN		/WIN-7
3 MXF
 The following device-dependent defaults apply to the MXF parameter
 of the INITVOLUME command:

	Device initialized	Default value for MXF
	------------------	---------------------
	DP: RP02 Disk			 2460
	    RP03 Disk			 4920
	DB: RP04/RP05 Disk		10567
	    RP06 Disk			20956
	DF: RF11/RS11 Disk		   62
	DR: RM02/RM03 Disk		 8099
	    RM80 Disk			15294
	    RP07 Disk			25600
	DK: RK05 Disk			  294
	DM: RK06 Disk			 1668
	    RK07 Disk			 3308
	DS: RS03 Disk			   62
	    RS04 Disk			  125
	DL: RL01 Disk			  629
	    RL02 Disk			 1259
	DT: DECtape			   34
	DX: RX01 Disk			   29
	DY: RX02 Disk			   60
3 DENS
 The following device-dependent defaults apply to the DENS parameter
 of the INITVOLUME command:
 
	Device initialized	Default value for DENS
	------------------	----------------------
	MM: TU16 Tape			800 BPI
	    TE16 Tape			800 BPI
	    TU45 Tape			800 BPI
	MF: TU78 Tape			6250 BPI
	MS: TS04 Tape			Drive Density
	DX: RX02/03 Disk		Current Disk Density
 
 For the TS04 tape drive (MS:), the density switch can only be used to
 verify that the tape drive can operate at the specified density.
 
 For the RX02/03 floppy disk drive (DY:), the density switch can only be
 used to verify that the disk to be initialized was formatted at the
 specified density.
3 INF
 The following device-dependent defaults apply to the INF parameter
 of the INITVOLUME command:

	Device initialized	Default value for INF
	------------------	---------------------
	DP: RP02 Disk			 1230
	    RP03 Disk			 2460
	DB: RP04/RP05 Disk		 5283
	    RP06 Disk			10478
	DF: RF11/RS11 Disk		   16
	DR: RM02/RM03 Disk		 4049
	    RM80 Disk			 7647
	    RP07 Disk			12800
	DK: RK05 Disk			  147
	DM: RK06 Disk			  834
	    RK07 Disk			 1654
	DS: RS03 Disk			   16
	    RS04 Disk			   16
	DL: RL01 Disk			  314
	    RL02 Disk			  629
	DT: DECtape			   16
	DX: RX01 Disk			   16
	DY: RX02 Disk			   16
3 INDX
 The following device-dependent defaults apply to the INDX parameter
 of the INITVOLUME command:
 
	Device initialized	Default value for INDX
	------------------	----------------------
	Any Disk Device			MID
	Any Tape Device			BEG
2 OPTIONS
 The following options are available to the INITVOLUME command:

	/BAD=[option]		Select bad-block processing
	/CHA=[characteristics]	Select characteristics
	/DENS=density		Select magtape/Check floppy disk density
	/EXT=block-count	Specify file-extension increment
	/FPRO=[s,o,g,w]		Specify deflt file protection for vol.
	/INDX=index-position	Specify position of index file
	/INF=index-size		Specify initial size of index file
	/LRU=count		Specify preaccess count
	/MXF=file-count		Specify maximum no. of files on volume
	/PRO=[s,o,g,w]		Specify volume protection
	/UIC=[group,member]	Specify owner of volume
	/WIN=count		Specify number of file windows
	/VI			List above options on terminal

 All of the above options are keywords for INITVOLUME OPTIONS.
3 BAD
 The legal formats of the BAD option are:

	/BAD=[MAN]	Accept bad block list from terminal
	/BAD=[AUTO]	Read bad-block file created by BAD
	/BAD=[AUTO,MAN]	Read bad-block file, accept more from terminal

 The default is no bad-block processing.
3 CHA
 The legal formats of the CHA option are:

	/CHA=[ATCH]	Unused by RSX-11M, included for 11-D compati-
			bility.  Under 11-D, device can be attached by
			one task or group for exclusive use.
	/CHA=[DCF]	Unused by RSX-11M, included for 11-D compati-
			bility.  Under 11-D, device control functions
			are permitted on the volume.
	/CHA=[ATCH,DCF]	Unused by RSX-11M.  Select both of the above
			options.

 The default is no special characteristics.
3 DENS
 The legal formats of the DENS option are:

	/DENS=800	Select 800 BPI density.
	/DENS=1600	Select 1600 BPI density.
	/DENS=6250	Select 6250 BPI density.
	/DENS=LOW	Select lower of two possible densities.
	/DENS=HIGH	Select higher of two possible densities.

 Default:  Device dependent. For full list, type HELP INITVOLUME
	DEFAULTS DENS
3 EXT
 The format of the EXT option is:

	/EXT=block-count

 If a file exhausts its allocated space, it is extended by "block-count"
 blocks.

 Default:  /EXT=5
3 FPRO
 The format of the FPRO option is:

	/FPRO=[system,owner,group,world]

 The default protecton for all files created on the volume is set to
 the specified value.  Each of the four fields can contain one or more
 of the following characters, in the order listed:

	R	To allow the specified group of users read access.
	W	To allow write access to the specified group of users.
	E	To allow extend access to the specified group of users.
	D	To allow delete access to the specified group of users.

 Default:  /FPRO=[RWED,RWED,RWED,R]
3 INDX
 The format of the INDX option is:

	/INDX=index-file-position

 The index file for the volume will be created in the specified
 position.  Access time is normally minimized by /INDX=MID.

 Legal values for "index-file-position" are:

	BEG	Place index file at the beginning of the volume.
	END	Place index file at the end of the volume.
	MID	Place index file in the middle of the volume.
	BLK:nnn	Place index file beginning at the specified block
		number.

 Default:  Device dependent. For full list, type HELP INITVOLUME
	DEFAULTS INDX
3 INF
 The format of the INF option is:

	/INF=initial-index-file-size

 The specified number of file headers is initially allocated in the
 index file.

 Default:  /INF=16.
3 LRU
 The format of the LRU option is:

	/LRU=directory-preaccess-count

 The specified number of 512-byte directory buffers will be kept in
 core when the volume is mounted in order to speed up accesses.

 Default:  /LRU=3
3 MXF
 The format of the MXF option is:

	/MXF=file-count

 The maximum number of files allowed on the volume is set to the
 specified value.  The maximum legal file-count is device dependent
 and can be found by typing HELP INITVOLUME OPTIONS MXF MAXIMUM.

 Default:  Device dependent.  For full list, type HELP INITVOLUME
	DEFAULTS MXF
4 MAXIMUM
 The following is a list of maximum legal values for the MXF option:

	Device being initialized	Maximum value of MXF
	------------------------	--------------------
	DB: RP02 Disk				10000
	    RP03 Disk				20000
	    RP04/RP05 Disk			42949
	    RP06 Disk				65536
	DF: RF Disk				  256
	DK: RK05 Disk				 1200
	DM: RK06 Disk				 6781
	DS: RS03 Disk				  256
	    RS04 Disk				  512
	DT: DECtape				  144
3 PRO
 The format of the PRO option is:

	/PRO=[system,owner,group,world]

 The specified volume access rights are extended to the specified groups
 of users.  Each field (system, owner, etc.) controls one group of users
 and contains one or more of the characters given below, in the order
 given below:

	R	Allow read access
	W	Allow write access
	E	Allow extend access
	D	Allow delete access

 Default:  /PRO=[RWED,RWED,RWED,RWED]
3 UIC
 The format of the UIC option is:

	/UIC=[group,member]

 The volume's owner UIC is set to the specified UIC.  This feature is
 not used by RSX-11M;  it is included for RSX-11D compatibility.

 Default:  /UIC=[1,1]
3 WIN
 The format of the WIN option is:

	/WIN=retrieval-pointer-count

 The number of file mapping windows allocated upon mounts is set to the
 specified value.

 Default:  /WIN=7
3 VI
 The format of the vi option is:
 
	/VI
 
 This option causes all the keywords and keyword values to be listed
 on the issuing terminal.
